#!/bin/bash
set -e
echo "compile warns stage"

function exec_cmd()
{
	echo "executing $@"
	output=$( "$@" 2>&1 )
	local ret=$?

	echo "$output"

	if [ "${ret}" -ne 0 ]; then
		echo "Failed compilation ret (${ret})"
		exit 1
	fi
}

pwd

cd src/
exec_cmd make clean
CFLAGS+="-I/usr/include/libnl3 -Werror -Wall -DAGENT_ISLAND_PREVENTION \
-DAGENT_DYNAMIC_CNTLR -DAGENT_SYNC_DYNAMIC_CNTLR_CONFIG -DOPER_CHAN_CHANGE_RELAY_MCAST \
-DEASYMESH_VERSION=4 -DUSE_LIBDPP -Wno-error=deprecated-declarations" exec_cmd make
exec_cmd make clean
CFLAGS+="-I/usr/include/libnl3 -Werror -Wall -DAGENT_ISLAND_PREVENTION \
-DAGENT_DYNAMIC_CNTLR -DAGENT_SYNC_DYNAMIC_CNTLR_CONFIG -DOPER_CHAN_CHANGE_RELAY_MCAST \
-DEASYMESH_VERSION=2 -Wno-error=deprecated-declarations" exec_cmd make
